Bug 1420384 - Review Request: phpcov - CLI frontend for PHP_CodeCoverage
Review Request: phpcov - CLI frontend for PHP_CodeCoverage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On: 1420374 1420381
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-08 09:38 EST by Remi Collet
Modified: 2017-05-04 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-04 09:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (9.01 KB, text/plain)
2017-04-20 11:08 EDT, Randy Barlow
no flags Details

  None (edit)
Description Remi Collet 2017-02-08 09:38:35 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/phpunit/phpcov/phpcov.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/phpcov-4.0.0-1.remi.src.rpm
Description: 
phpcov is a command-line frontend for the PHP_CodeCoverage library.


Fedora Account System Username: remi
Comment 2 Randy Barlow 2017-04-20 11:07:37 EDT
There is a typo in the Provides: line, so be sure to s/vendoir/vendor/ before building. Also, you could drop the execute bit on the composer.json file to get rid of a rpmlint warning.
Comment 3 Randy Barlow 2017-04-20 11:08 EDT
Created attachment 1273001 [details]
review.txt
Comment 4 Gwyn Ciesla 2017-04-21 09:12:41 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/phpcov
Comment 5 Fedora Update System 2017-04-24 02:29:40 EDT
phpcov-4.0.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15266e9f04
Comment 6 Remi Collet 2017-04-24 02:32:28 EDT
Thanks for the review.

Cleanup done in http://pkgs.fedoraproject.org/cgit/rpms/phpcov.git/commit/?id=998fecd80c08571ce002a363f9bb9049581a8cad
Comment 7 Fedora Update System 2017-04-25 17:28:01 EDT
phpcov-4.0.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15266e9f04
Comment 8 Fedora Update System 2017-04-28 06:01:30 EDT
phpcov-4.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15266e9f04
Comment 9 Fedora Update System 2017-04-29 23:51:32 EDT
phpcov-4.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15266e9f04
Comment 10 Fedora Update System 2017-05-04 09:29:48 EDT
phpcov-4.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.